# Class GetMethodWebRequest

java.lang.Object
com.meterware.httpunit.WebRequest
com.meterware.httpunit.HeaderOnlyWebRequest
com.meterware.httpunit.GetMethodWebRequest

public class GetMethodWebRequest extends HeaderOnlyWebRequest
An HTTP request using the GET method.

## Field Summary

### Fields inherited from class WebRequest

`method`

## Constructor Summary

Constructors
Constructor
Description
`GetMethodWebRequest(String urlString)`
Constructs a web request using a specific absolute url string.
`GetMethodWebRequest(URL urlBase, String urlString)`
Constructs a web request using a base URL and a relative url string.
`GetMethodWebRequest(URL urlBase, String urlString, String target)`
Constructs a web request with a specific target.

## Method Summary

Modifier and Type
Method
Description
`String`
`getMethod()`
Returns the HTTP method defined for this request.

### Methods inherited from class HeaderOnlyWebRequest

`getQueryString, setMethod`

### Methods inherited from class WebRequest

`completeRequest, getCharacterSet, getContentType, getHeaders, getParameter, getParameterHolder, getParameterValues, getRequestParameterNames, getTarget, getURL, getURLBase, getURLString, isFileParameter, isMimeEncoded, maySelectFile, removeParameter, selectFile, selectFile, selectFile, setHeaderField, setImageButtonClickPosition, setParameter, setParameter, setParameter, toString, writeMessageBody`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GetMethodWebRequest

public GetMethodWebRequest(String urlString)
Constructs a web request using a specific absolute url string.

### GetMethodWebRequest

public GetMethodWebRequest(URL urlBase, String urlString)
Constructs a web request using a base URL and a relative url string.

### GetMethodWebRequest

public GetMethodWebRequest(URL urlBase, String urlString, String target)
Constructs a web request with a specific target.

## Method Details

### getMethod

public String getMethod()
Returns the HTTP method defined for this request.

Overrides:
  `getMethod` in class `WebRequest`
Returns:
  the method